Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.dale_uv.parser
Class PlausiContext

    java.lang.Object
      de.dale_uv.parser.PlausiContext

    public class PlausiContext

extends java.lang.Object

Enthält alle Parameter, die für die Ausführung der Plausibilitätsprüfungen zusätzlich benötigt werden.

Version:
  $Revision: 1.1 $ $Date: 2008-05-06 15:04:57 $
Author:
  Ilja Rieger, last modified by $Author: rieger $

Constructor Summary
`PlausiContext()` Erstellt ein neues `PlausiContext`-Objekt.

Method Summary
`java.lang.String` | `getPlausiVersion()` Liefert die auf dem Server zu verwendende Version der Plausi.
`boolean` | `isKeyCheckEnabled()` Liefert `true`, wenn die Prüfung des Prüfschlüssels auf dem Server aktiviert werden soll.
`void` | `setKeyCheckEnabled(boolean keyCheckEnabled)` Definiert, ob die die Prüfung des Prüfschlüssels auf dem Server aktiviert werden soll oder nicht.
`void` | `setPlausiVersion(java.lang.String plausiVersion)` Setzt die auf dem Server zu verwendende Version der Plausi.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlausiContext

    public PlausiContext()

  Erstellt ein neues `PlausiContext`-Objekt.

Method Detail

### getPlausiVersion

    public java.lang.String getPlausiVersion()

  Liefert die auf dem Server zu verwendende Version der Plausi.

  Returns:
    Version der zu verwendeten Plausi.

### setPlausiVersion

    public void setPlausiVersion(java.lang.String plausiVersion)

  Setzt die auf dem Server zu verwendende Version der Plausi.

  Parameters:
    `plausiVersion` - Version der zu verwendeten Plausi.

### isKeyCheckEnabled

    public boolean isKeyCheckEnabled()

  Liefert `true`, wenn die Prüfung des Prüfschlüssels auf dem Server aktiviert werden soll. Die Standardeinstellung ist `true`.

  Returns:
    `true`, wenn die Prüfung des Prüfschlüssels auf dem Server aktiviert werden soll, ansonsten `false`.

### setKeyCheckEnabled

    public void setKeyCheckEnabled(boolean keyCheckEnabled)

  Definiert, ob die die Prüfung des Prüfschlüssels auf dem Server aktiviert werden soll oder nicht. Die Standardeinstellung ist `true`.

  Parameters:
    `keyCheckEnabled` - `true`, wenn die Prüfung des Prüfschlüssels auf dem Server aktiviert werden soll, ansonsten `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD